<!DOCTYPE html>
<html>
  <head>
    <title>BD Visual</title>
    <link rel="stylesheet" href="./CSS/grafo.css" />
    <script src="https://cdn.neo4jlabs.com/neovis.js/v1.5.0/neovis.js"></script>
  </head>

  <body>
    <div class="title">
      <h1 id="¨titulo¨">
        Visualización Base de Datos Musical en forma de Grafo
      </h1>
    </div>

    <div class="topnav">
      <a href="home.html">Home</a>
      <a href="database.html">Base de Datos online </a>
      <a href="querry.html">Realizar Querrys</a>
      <a href="login.html">Log-in</a>
      <a href="admin.html">Usuarios en la BD</a>
    </div>
    <div id="main">
      <div id="viz"></div>
    </div>
  </body>

  <script>
    draw();

    function draw() {
      var config = {
        container_id: "viz",
        server_url: "bolt://localhost:7687",
        server_user: "neo4j",
        server_password: "root",
        server_database: "music",
        labels: {
          Artista: {
            caption: "nombre",
            size: "pagerank",
            community: "edad",

            title_properties: ["nombre", "edad", "nacionalidad", "pagerank"],
          },
          Genero: {
            caption: "nombre",
            size: "pagerank",
            community: "nombre",

            title_properties: ["nombre", "pagerank"],
          },
          Grupo: {
            caption: "nombre",
            size: "pagerank",
            community: "nombre",
            title_properties: ["nombre", "pagerank"],
          },
        },
        relationships: {
          PERTENECE: {
            thickness: "weight",
            caption: true,
            community: "Red",
            color: "pink",
            title_properties: ["nombre", "pagerank"],
          },
          PERTENECE_GENERO: {
            thickness: "weight",
            caption: true,
            community: "green",
            color: "pink",
            title_properties: ["nombre", "pagerank"],
          },
        },
        initial_cypher: "MATCH p=()-[]->() RETURN p LIMIT 25",
      };
      var viz = new NeoVis.default(config);
      viz.render();
    }
  </script>
</html>
